// Copyright 2020 Thomas Hintz
//
// This file is part of the Alpha Centauri Farming project.
//
// The Alpha Centauri Farming project is free software: you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation, either
// version 3 of the License, or (at your option) any later version.
//
// The Alpha Centauri Farming project is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Alpha Centauri Farming project.  If not, see
// <https://www.gnu.org/licenses/>.

export const ridgeNames = ['Peridier', 'Cassini', 'Marineris', 'Tharsis'];

export const corners = [
    'Christmas',
    'Spring Celebration',
    'Midsummer',
    'Harvest Moons'];

export const itemCard = 'Item For Sale';
export const itemCardShort = 'I.F.S.';

export const fateCard = 'Farmer\'s Luck';

export const spaceContent =
    ['COLLECT $1000 Minerals Bonus.',
     'PAY 10% interest on loans.',
     `Day off. Draw ${itemCardShort}`,
     'Nasty wind chill. If you have cows pay $500.',
     'Perfect weather! Hay Harvests are doubled this year.',
     'Balmy out, you get a early start. COLLECT $1,000.',
     `Mired in a sand drift. Draw ${fateCard}.`,
     `Thaw comes early. Go directly to ${corners[1]}.`,
     `Windy day. Draw ${itemCardShort}`,
     'Your wheat shows signs of winter radiation sickness. PAY $2000 to replant.',
     'Get a late start. PAY $500.',
     'License expired. Head back to the second week in January.',
     'Frugivore swarm forces you to cover fruit. PAY $2000 if you own fruit.',
     `Finished plowing. Time for Apple pie. Draw ${itemCardShort}`,
     'Corn in without major solar flare. Yield is doubled this year.',
     'Winds continue. Work halts. PAY $500.',
     'AI malfunction. PAY $1000.',
     'Dust storms head south. COLLECT $500.',
     'Anemic corn needs replanting. PAY $500.',
     'Perfect hay cutting. COLLECT $1000 bonus.',
     `Holiday break. Draw ${itemCardShort}`,
     'Seasonal acid rain part way through harvest. Cut check in half.',
     'Everything going right. COLLECT $500 bonus.',
     'Proxima b Waxwing eats your cherries. Cut check in half.',
     `Large solar flare. Draw ${fateCard}.`,
     '',
     'Skies are clear. Hay harvest check is doubled.',
     `Dry! Wish you could swim in the river. Draw ${itemCardShort}`,
     `Parched! Humidity 15%. Gulp down some ice water, harvest your Hay, and go to ${corners[3]}.`,
     'Wheat developing nicely. Gain $50 per acre bonus on your harvest check.',
     `The suns align and you're feeding the colonists. Transit to the fourth week of February and collect your yearly wage.`,
     'Solar flare predicted. COLLECT $1000, if you have a harvester.',
     'Wheat harvested without issues. COLLECT $500.',
     'Solar flares come. Take $50 per acre loss on your harvest check.',
     'If you own a tractor: harvest your Hay, then travel to the third week of November.',
     `Nicely mild weather. Draw ${itemCardShort}`,
     'Anti-speciests stage blockade. Reduce livestock harvest check by half.',
     'More moons the merrier. COLLECT $500.',
     'Waxwing visits apples. PAY $2000 if you own fruit.',
     'Second Summer. COLLECT $500.',
     `Native Mountain Goats spotted on the mountain. Draw ${fateCard}.`,
     `Equipment winterized. Draw ${itemCardShort}`,
     `Planetary AI gets an upgrade. Draw ${fateCard}.`,
     `Winter wind blocks go up. Draw ${itemCardShort}`,
     'Wind holds back. COLLECT $500.',
     'Weather crisp but not unpleasant. COLLECT $1000.',
     'Fruit buds suffer early freeze. PAY $1000 if you have fruit.',
     'Excellent Corn Harvesting; no dust, no wind. COLLECT $500',
     `First Winter Winds. Draw ${fateCard}`
    ];
